X2Go Bug report logs - #1521
cannot start x2go after XQuartz update

version graph

Packages: x2go, client; Maintainer for x2go is (unknown); Maintainer for client is (unknown);

Reported by: simona bellavista <afylot@gmail.com>

Date: Sat, 6 Feb 2021 19:35:02 UTC

Severity: normal

Found in version 4.1.2.2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1521; Package x2go client. (Sat, 06 Feb 2021 19:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to simona bellavista <afylot@gmail.com>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Sat, 06 Feb 2021 19:35:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: simona bellavista <afylot@gmail.com>
To: submit@bugs.x2go.org
Subject: cannot start x2go after XQuartz update
Date: Sat, 6 Feb 2021 20:30:07 +0100
[Message part 1 (text/plain, inline)]
Package: X2Go Client
Version:  4.1.2.2


I work on Mac OSX client vs  10.14.6

I was able to connecting but then I have updated XQuartz and now I cannot
connect anymore, I have reinstalled XQuartz to the previously working
version (2.7.11), but it still doesn't work.

On the x2go client I find the following text:


Loop: WARNING Could not retrieve the X server authentication cookie.
Warning: Failed to read data from the X auth command.
Warning: Generated a fake cookie for X authentication.
Info: Using ADSL link parameters 1408/24/1/0.
Info: Using cache parameters 4/4096KB/8192KB/8192KB.
Info: Using pack method '16m-jpeg-9' with session 'unix-kde-depth_32'.
Info: Using ZLIB data compression 1/1/32.
Info: Using ZLIB stream compression 4/4.
Info: No suitable cache file found.
Info: Forwarding X11 connections to display
'/private/tmp/com.apple.launchd.gEXXCVRnsG/org.macports:0'.
Info: Forwarding auxiliary X11 connections to display
'/private/tmp/com.apple.launchd.gEXXCVRnsG/org.macports:0'.
Session: Session started at 'Sat Feb  6 19:56:02 2021'.
Connection timeout, abortingSession: Terminating session at 'Sat Feb  6
19:56:05 2021'.
Info: Waiting the cleanup timeout to complete.
Session: Session terminated at 'Sat Feb  6 19:56:06 2021'.



from the terminal command: x2go --debug:


(base) user@MacBook-Pro:jointfeb2021$
/Applications/x2goclient.app/Contents/MacOS/x2goclient --debug
x2go-INFO-1> "Starting X2Go Client 4.1.2.2..."
x2go-WARNING-1> English language requested, not loading translator.
x2go-WARNING-1> English language requested, not loading translator.
x2go-INFO-3> "Started X2Go Client."
x2go-DEBUG-../src/onmainwindow.cpp:575> "$HOME=/Users/user"
x2go-DEBUG-../src/onmainwindow.cpp:2266> Reading 1 sessions from config
file.
x2go-DEBUG-../src/sessionbutton.cpp:361> Creating QPixmap with session
icon: ":/img/icons/128x128/x2gosession.png".
x2go-DEBUG-../src/onmainwindow.cpp:13290> libssh not initialized yet.
Initializing.
x2go-DEBUG-../src/x2goutils.cpp:219> path value at beginning:
"/opt/anaconda3/bin:/opt/anaconda3/condabin:/Library/Frameworks/Python.framework/Versions/3.6/bin:/opt/local/bin:/opt/local/sbin:/opt/local/bin:/opt/local/sbin:/opt/local/bin:/opt/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/Library/TeX/texbin:/opt/X11/bin:/Users/user/Dati/android/android-sdk-macosx/platform-tools:/Library/TeX/Root/bin/x86_64-darwin"
x2go-DEBUG-../src/x2goutils.cpp:242> tmp_clean_add: ("/usr/local/bin")
x2go-DEBUG-../src/x2goutils.cpp:270> clean_add: ("/usr/local/bin")
x2go-DEBUG-../src/x2goutils.cpp:291> found entry i (0) in orig_path_list
("/usr/local/bin"): true
x2go-DEBUG-../src/x2goutils.cpp:309> return value at end:
"/opt/anaconda3/bin:/opt/anaconda3/condabin:/Library/Frameworks/Python.framework/Versions/3.6/bin:/opt/local/bin:/opt/local/sbin:/opt/local/bin:/opt/local/sbin:/opt/local/bin:/opt/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/Library/TeX/texbin:/opt/X11/bin:/Users/user/Dati/android/android-sdk-macosx/platform-tools:/Library/TeX/Root/bin/x86_64-darwin"
x2go-DEBUG-../src/x2goutils.cpp:219> path value at beginning:
"/opt/anaconda3/bin:/opt/anaconda3/condabin:/Library/Frameworks/Python.framework/Versions/3.6/bin:/opt/local/bin:/opt/local/sbin:/opt/local/bin:/opt/local/sbin:/opt/local/bin:/opt/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/Library/TeX/texbin:/opt/X11/bin:/Users/user/Dati/android/android-sdk-macosx/platform-tools:/Library/TeX/Root/bin/x86_64-darwin"
x2go-DEBUG-../src/x2goutils.cpp:242> tmp_clean_add: ("/opt/local//bin")
x2go-DEBUG-../src/x2goutils.cpp:270> clean_add: ("/opt/local//bin")
x2go-DEBUG-../src/x2goutils.cpp:291> found entry i (0) in orig_path_list
("/opt/local//bin"): false
x2go-DEBUG-../src/x2goutils.cpp:309> return value at end:
"/opt/local//bin:/opt/anaconda3/bin:/opt/anaconda3/condabin:/Library/Frameworks/Python.framework/Versions/3.6/bin:/opt/local/bin:/opt/local/sbin:/opt/local/bin:/opt/local/sbin:/opt/local/bin:/opt/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/Library/TeX/texbin:/opt/X11/bin:/Users/user/Dati/android/android-sdk-macosx/platform-tools:/Library/TeX/Root/bin/x86_64-darwin"
x2go-DEBUG-../src/pulsemanager.cpp:131> Found PA binary as
"/Applications/x2goclient.app/Contents/exe/pulseaudio"
x2go-DEBUG-../src/pulsemanager.cpp:132> Corresponding working dir:
"/Applications/x2goclient.app/Contents/exe"
x2go-DEBUG-../src/pulsemanager.cpp:369> pulseaudio --version
returned:"pulseaudio 13.0-rebootstrapped
"

x2go-DEBUG-../src/pulsemanager.cpp:227> pulse started with arguments
("--exit-idle-time=-1", "-n", "-F", "/Users/user/.x2go/pulse/config.pa",
"-p",
"/Applications/x2goclient.app/Contents/Frameworks/pulse-13.0/modules",
"--high-priority", "--log-level=debug", "--verbose",
"--log-target=file:/Users/user/.x2go/pulse/pulse.log") - waiting for it to
finish...
Object::connect: No such slot SessionWidget::slot_emitSettings()
Object::connect: No such slot SessionWidget::slot_emitSettings()
2021-02-06 19:55:14.369 x2goclient[15051:51373] modalSession has been
exited prematurely - check for a reentrant call to endModalSession:
x2go-DEBUG-../src/onmainwindow.cpp:2752> Creating QPixmap with session
icon: '":/img/icons/128x128/x2gosession.png"'.
x2go-DEBUG-../src/onmainwindow.cpp:6771> Setting focus.

x2go-INFO-8> "Starting connection to server: login02.adress.adress:22"
x2go-DEBUG-../src/onmainwindow.cpp:2853> Starting new ssh connection to
server:"login02.adress.adress":"22" krbLogin: false
x2go-DEBUG-../src/sshmasterconnection.cpp:168> SshMasterConnection, host
"login02.adress.adress"; port 22; user "user"; useproxy false; proxyserver
""; proxyport 22
x2go-DEBUG-../src/sshmasterconnection.cpp:248> Starting SSH connection
without Kerberos authentication.
x2go-DEBUG-../src/sshmasterconnection.cpp:250> SshMasterConnection,
instance SshMasterConnection(0x7fcef7d95ff0)  created.
x2go-DEBUG-../src/sshmasterconnection.cpp:495> SshMasterConnection,
instance SshMasterConnection(0x7fcef7d95ff0)  entering thread.
x2go-DEBUG-../src/sshmasterconnection.cpp:797> Session port before config
file parse: 22
x2go-DEBUG-../src/sshmasterconnection.cpp:807> Session port after config
file parse: 22
x2go-DEBUG-../src/sshmasterconnection.cpp:870> Session port before config
file parse (part 2): 22
x2go-DEBUG-../src/sshmasterconnection.cpp:880> Session port after config
file parse (part 2): 22
x2go-DEBUG-../src/sshmasterconnection.cpp:904> cserverAuth
x2go-DEBUG-../src/sshmasterconnection.cpp:943> state: 1

x2go-DEBUG-../src/sshmasterconnection.cpp:1218> Trying password mechanism
if available.

x2go-DEBUG-../src/sshmasterconnection.cpp:1222> Password mechanism
available. Continuing.

x2go-DEBUG-../src/sshmasterconnection.cpp:687> User authentication OK.
x2go-DEBUG-../src/sshmasterconnection.cpp:1708> LOGIN CHECK:"LOGIN OK
"
x2go-DEBUG-../src/sshmasterconnection.cpp:1711> don't have interaction
x2go-DEBUG-../src/sshmasterconnection.cpp:1744> LOOP FINISHED
x2go-DEBUG-../src/sshmasterconnection.cpp:1748> No interaction needed,
continue session
x2go-DEBUG-../src/sshmasterconnection.cpp:702> Login Check - OK
x2go-DEBUG-../src/onmainwindow.cpp:2947> SSH connection established.
x2go-DEBUG-../src/onmainwindow.cpp:3374> Continue normal X2Go session
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via
SshProcess object 0: "x2golistsessions"
x2go-DEBUG-../src/sshprocess.cpp:213> this=SshProcess(0x7fcefd51ecc0)
 Running masterCon->addChannelConnection(this, '
"4fc93041-3683-4673-9ed7-3fc9a22af843" ', ' "bash -l -c 'echo
"X2GODATABEGIN:4fc93041-3683-4673-9ed7-3fc9a22af843"; export
PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; x2golistsessions;
echo "X2GODATAEND:4fc93041-3683-4673-9ed7-3fc9a2" ');
x2go-DEBUG-../src/sshmasterconnection.cpp:1810> Locking SSH channel
connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1812> Passing new channel
connection object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1814> Unlocking SSH channel
connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1977> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1990> New channel:0x7fcef90e6d30

x2go-DEBUG-../src/sshmasterconnection.cpp:2065> Executing remote: "bash -l
-c 'echo "X2GODATABEGIN:4fc93041-3683-4673-9ed7-3fc9a22af843"; export
PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; x2golistsessions;
echo "X2GODATAEND:4fc93041-3683-4673-9ed7-3fc9a22af843";'"

x2go-DEBUG-../src/sshmasterconnection.cpp:2082> New exec channel created.

x2go-DEBUG-../src/sshmasterconnection.cpp:2121> EOF on channel
0x7fcef90e6d30; SshProcess object: 0
x2go-DEBUG-../src/sshmasterconnection.cpp:2222> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:2224> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:532> SSH finished: raw output (stdout):
"X2GODATABEGIN:4fc93041-3683-4673-9ed7-3fc9a22af843
21350|user-198-1612636569_stDXFCE_dp32|198|login02.adress.adress|R|2021-02-06T19:36:09|e1daaf813adabd2c2831cc0adc84c360|00.000.00.000|42750|42751|2021-02-06T19:36:11|user|1153|42752|-1|-1
X2GODATAEND:4fc93041-3683-4673-9ed7-3fc9a22af843
"
x2go-DEBUG-../src/sshprocess.cpp:543> SSH finished: true -
"21350|user-198-1612636569_stDXFCE_dp32|198|login02.adress.adress|R|2021-02-06T19:36:09|e1daaf813adabd2c2831cc0adc84c360|00.000.00.000|42750|42751|2021-02-06T19:36:11|user|1153|42752|-1|-1
" (0).
x2go-DEBUG-../src/onmainwindow.cpp:3861>
"21350|user-198-1612636569_stDXFCE_dp32|198|login02.adress.adress|R|2021-02-06T19:36:09|e1daaf813adabd2c2831cc0adc84c360|00.000.00.000|42750|42751|2021-02-06T19:36:11|user|1153|42752|-1|-1
"
x2go-DEBUG-../src/onmainwindow.cpp:4864> No shadow session.
x2go-DEBUG-../src/onmainwindow.cpp:4887> "Decoding session
string:21350|user-198-1612636569_stDXFCE_dp32|198|login02.adress.adress|R|2021-02-06T19:36:09|e1daaf813adabd2c2831cc0adc84c360|00.000.00.000|42750|42751|2021-02-06T19:36:11|user|1153|42752|-1|-1"
2021-02-06 19:55:26.579 x2goclient[15051:51373] modalSession has been
exited prematurely - check for a reentrant call to endModalSession:
x2go-DEBUG-../src/onmainwindow.cpp:6954> Terminating session.
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via
SshProcess object 1: "x2goterminate-session
user-198-1612636569_stDXFCE_dp32"
x2go-DEBUG-../src/sshprocess.cpp:213> this=SshProcess(0x7fcef944d390)
 Running masterCon->addChannelConnection(this, '
"d5ff0c45-dc4f-41fa-92f0-07d27e7d6ab1" ', ' "bash -l -c 'echo
"X2GODATABEGIN:d5ff0c45-dc4f-41fa-92f0-07d27e7d6ab1"; export
PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb";
x2goterminate-session user-198-1612636569_stDXFCE_dp32; echo "" ');
x2go-DEBUG-../src/sshmasterconnection.cpp:1810> Locking SSH channel
connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1812> Passing new channel
connection object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1814> Unlocking SSH channel
connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1977> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1990> New channel:0x7fcef7e85960

x2go-DEBUG-../src/sshmasterconnection.cpp:2065> Executing remote: "bash -l
-c 'echo "X2GODATABEGIN:d5ff0c45-dc4f-41fa-92f0-07d27e7d6ab1"; export
PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb";
x2goterminate-session user-198-1612636569_stDXFCE_dp32; echo
"X2GODATAEND:d5ff0c45-dc4f-41fa-92f0-07d27e7d6ab1";'"

x2go-DEBUG-../src/sshmasterconnection.cpp:2082> New exec channel created.

x2go-DEBUG-../src/sshmasterconnection.cpp:2121> EOF on channel
0x7fcef7e85960; SshProcess object: 1
x2go-DEBUG-../src/sshmasterconnection.cpp:2222> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:2224> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:532> SSH finished: raw output (stdout):
"X2GODATABEGIN:d5ff0c45-dc4f-41fa-92f0-07d27e7d6ab1
X2GODATAEND:d5ff0c45-dc4f-41fa-92f0-07d27e7d6ab1
"
x2go-DEBUG-../src/sshprocess.cpp:543> SSH finished: true - "" (1).
x2go-DEBUG-../src/onmainwindow.cpp:6771> Setting focus.

x2go-DEBUG-../src/onmainwindow.cpp:4521> Executing remote command:
"X2GODPI=72 X2GO_XINERAMA=no x2gostartagent 800x600 adsl 16m-jpeg-9
unix-kde-depth_32 us query 0 D XFCE both"
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via
SshProcess object 2: "X2GODPI=72 X2GO_XINERAMA=no x2gostartagent 800x600
adsl 16m-jpeg-9 unix-kde-depth_32 us query 0 D XFCE both"
x2go-DEBUG-../src/sshprocess.cpp:213> this=SshProcess(0x7fcef7e938a0)
 Running masterCon->addChannelConnection(this, '
"8b68c911-db3a-4bbc-995a-0005ed0b2bfe" ', ' "bash -l -c 'echo
"X2GODATABEGIN:8b68c911-db3a-4bbc-995a-0005ed0b2bfe"; export
PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; X2GODPI=72
X2GO_XINERAMA=no x2gostartagent 800x600 adsl 16m-jpeg-9" ');
x2go-DEBUG-../src/sshmasterconnection.cpp:1810> Locking SSH channel
connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1812> Passing new channel
connection object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1814> Unlocking SSH channel
connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1977> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1990> New channel:0x7fcef9202580

x2go-DEBUG-../src/sshmasterconnection.cpp:2065> Executing remote: "bash -l
-c 'echo "X2GODATABEGIN:8b68c911-db3a-4bbc-995a-0005ed0b2bfe"; export
PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; X2GODPI=72
X2GO_XINERAMA=no x2gostartagent 800x600 adsl 16m-jpeg-9 unix-kde-depth_32
us query 0 D XFCE both; echo
"X2GODATAEND:8b68c911-db3a-4bbc-995a-0005ed0b2bfe";'"

x2go-DEBUG-../src/sshmasterconnection.cpp:2082> New exec channel created.

x2go-DEBUG-../src/sshmasterconnection.cpp:2121> EOF on channel
0x7fcef9202580; SshProcess object: 2
x2go-DEBUG-../src/sshmasterconnection.cpp:2222> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:2224> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:532> SSH finished: raw output (stdout):
"X2GODATABEGIN:8b68c911-db3a-4bbc-995a-0005ed0b2bfe
199
972c46b58c17eb3872306010054b205e
2010
user-199-1612637732_stDXFCE_dp32
59563
59564
59565
X2GODATAEND:8b68c911-db3a-4bbc-995a-0005ed0b2bfe
"
x2go-DEBUG-../src/sshprocess.cpp:543> SSH finished: true - "199
972c46b58c17eb3872306010054b205e
2010
user-199-1612637732_stDXFCE_dp32
59563
59564
59565
" (2).
x2go-DEBUG-../src/onmainwindow.cpp:5425> Agent output: "199
972c46b58c17eb3872306010054b205e
2010
user-199-1612637732_stDXFCE_dp32
59563
59564
59565
"
x2go-DEBUG-../src/sshprocess.cpp:387> Starting tunnel via SshProcess object
3: "localhost":59563 -> "localhost":60563

RESUMING SESSION is KDRIVE:  false
x2go-DEBUG-../src/onmainwindow.cpp:6142> "Starting NX proxy, command:
"/Applications/x2goclient.app/Contents/exe/"nxproxy -S
nx/nx,options=/Users/user/.x2go/S-user-199-1612637732_stDXFCE_dp32/options:199"
x2go-DEBUG-../src/sshprocess.cpp:157> Direct tunnel: waiting for
connections on "localhost":60563
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via
SshProcess object 4: "echo "default-server=localhost:59564" >
"${HOME}/.x2go/C-user-199-1612637732_stDXFCE_dp32/.pulse-client.conf";echo
"cookie-file=${HOME}/.x2go/C-user-199-1612637732_stDXFCE_dp32/.pulse-cookie"
>>
"${HOME}/.x2go/C-user-199-1612637732_stDXFCE_dp32/.pulse-client.conf";echo
"autospawn=no"
>>"${HOME}/.x2go/C-user-199-1612637732_stDXFCE_dp32/.pulse-client.conf""
x2go-DEBUG-../src/sshprocess.cpp:213> this=SshProcess(0x7fcef7d9c6c0)
 Running masterCon->addChannelConnection(this, '
"a5423722-daf5-4731-b302-0678ccc34cde" ', ' "bash -l -c 'echo
"X2GODATABEGIN:a5423722-daf5-4731-b302-0678ccc34cde"; export
PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; echo
"default-server=localhost:59564" > "${HOME}/.x2go/C-user-" ');
x2go-DEBUG-../src/sshmasterconnection.cpp:1810> Locking SSH channel
connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1812> Passing new channel
connection object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1814> Unlocking SSH channel
connection MUTEX.
x2go-DEBUG-../src/sshprocess.cpp:310> Copying file via SshProcess object 5:
"/Users/user/.x2go/pulse/.pulse-cookie" ->
"$HOME/.x2go/C-user-199-1612637732_stDXFCE_dp32/.pulse-cookie"
x2go-DEBUG-../src/sshprocess.cpp:387> Starting tunnel via SshProcess object
6: "localhost":59564 -> "127.0.0.1":4713

x2go-DEBUG-../src/sshmasterconnection.cpp:426> Requesting reverse tunnel
from port 59564 to 4713
x2go-DEBUG-../src/onmainwindow.cpp:6618> Proxy wrote on stderr: "
NXPROXY - Version 3.5.99.20

Copyright (c) 2001, 2011 NoMachine (http://www.nomachine.com)
Copyright (c) 2008-2014 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Copyright (c) 2014-2016 Ulrich Sibiller <uli42@gmx.de>
Copyright (c) 2014-2016 Mihai Moldovan <ionic@ionic.de>
Copyright (c) 2011-2016 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Copyright (c) 2015-2016 Qindel Group (http://www.qindel.com)

NXCOMP, NX protocol compression and NX extensions to this software
are copyright of the aforementioned persons and companies.

Redistribution and use of the present software is allowed according
to terms specified in the file LICENSE.nxcomp which comes in the
source distribution.

All rights reserved.

NOTE: This software has received contributions from various other
contributors, only the core maintainers and supporters are listed as
copyright holders. Please contact us, if you feel you should be listed
as copyright holder, as well.

NX protocol compression is derived from DXPC project.

Copyright (c) 1995,1996 Brian Pane
Copyright (c) 1996,1997 Zachary Vonler and Brian Pane
Copyright (c) 1999 Kevin Vigor and Brian Pane
Copyright (c) 2000,2003 Gian Filippo Pinzari and Brian Pane

All rights reserved.

See https://github.com/ArcticaProject/nx-libs for more information.

Info: Proxy running in server mode with pid '15348'.
Session: Starting session at 'Sat Feb  6 19:55:35 2021'.
Info: Using errors file
'/Users/user/.x2go/S-user-199-1612637732_stDXFCE_dp32/sessions'.
Info: Using stats file '/Users/user/.x2go/S-199/stats'.
Loop: WARNING! Overriding auxiliary X11 port with new value '1'.
Warning: Overriding auxiliary X11 port with new value '1'.
Info: Connecting to remote host 'localhost:60563'.
Info: Connected to remote proxy on FD#11.
"
x2go-DEBUG-../src/sshmasterconnection.cpp:328> Listening for TCP/IP
connections on 59564
x2go-DEBUG-../src/sshmasterconnection.cpp:1840> SSH Master Connection copy
- dst path:".x2go/C-user-199-1612637732_stDXFCE_dp32" file:".pulse-cookie"

x2go-DEBUG-../src/sshprocess.cpp:109> New TCP connection.
x2go-DEBUG-../src/sshprocess.cpp:114> New socket: 29
x2go-DEBUG-../src/sshmasterconnection.cpp:1891> scp ok:
"/Users/user/.x2go/pulse/.pulse-cookie" ->
"user"@"login02.adress.adress":".x2go/C-user-199-1612637732_stDXFCE_dp32/.pulse-cookie"

x2go-DEBUG-../src/sshmasterconnection.cpp:1977> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1990> New channel:0x7fcefd520ef0

x2go-DEBUG-../src/sshmasterconnection.cpp:2065> Executing remote: "bash -l
-c 'echo "X2GODATABEGIN:a5423722-daf5-4731-b302-0678ccc34cde"; export
PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; echo
"default-server=localhost:59564" >
"${HOME}/.x2go/C-user-199-1612637732_stDXFCE_dp32/.pulse-client.conf";echo
"cookie-file=${HOME}/.x2go/C-user-199-1612637732_stDXFCE_dp32/.pulse-cookie"
>>
"${HOME}/.x2go/C-user-199-1612637732_stDXFCE_dp32/.pulse-client.conf";echo
"autospawn=no"
>>"${HOME}/.x2go/C-user-199-1612637732_stDXFCE_dp32/.pulse-client.conf";
echo "X2GODATAEND:a5423722-daf5-4731-b302-0678ccc34cde";'"

x2go-DEBUG-../src/sshmasterconnection.cpp:2082> New exec channel created.

x2go-DEBUG-../src/sshmasterconnection.cpp:1977> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1990> New channel:0x7fcefd500290

x2go-DEBUG-../src/sshmasterconnection.cpp:1994> Forwarding parameters: from
remote ("localhost":59563) to local ("localhost":49956)
x2go-DEBUG-../src/sshmasterconnection.cpp:2028> Temporary session port
after config file parse: 59563
x2go-DEBUG-../src/sshmasterconnection.cpp:2032> Temporary session host
after config file parse: localhost
x2go-DEBUG-../src/sshmasterconnection.cpp:2059> New channel forwarded.

x2go-DEBUG-../src/sshmasterconnection.cpp:2121> EOF on channel
0x7fcefd520ef0; SshProcess object: 4
x2go-DEBUG-../src/sshmasterconnection.cpp:2222> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:2224> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:532> SSH finished: raw output (stdout):
"X2GODATABEGIN:a5423722-daf5-4731-b302-0678ccc34cde
X2GODATAEND:a5423722-daf5-4731-b302-0678ccc34cde
"
x2go-DEBUG-../src/sshprocess.cpp:543> SSH finished: true - "" (4).
x2go-DEBUG-../src/onmainwindow.cpp:6618> Proxy wrote on stderr: "Info:
Connection with remote proxy completed.
Loop: WARNING! Unrecognized session type 'unix-kde-depth_32'. Assuming
agent session.
Warning: Unrecognized session type 'unix-kde-depth_32'. Assuming agent
session.
"
x2go-DEBUG-../src/onmainwindow.cpp:6618> Proxy wrote on stderr: "Loop:
WARNING! Could not retrieve the X server authentication cookie.
Warning: Failed to read data from the X auth command.
Warning: Generated a fake cookie for X authentication.
Info: Using ADSL link parameters 1408/24/1/0.
Info: Using cache parameters 4/4096KB/8192KB/8192KB.
Info: Using pack method '16m-jpeg-9' with session 'unix-kde-depth_32'.
Info: Using ZLIB data compression 1/1/32.
Info: Using ZLIB stream compression 4/4.
Info: No suitable cache file found.
Info: Forwarding X11 connections "
x2go-DEBUG-../src/onmainwindow.cpp:6618> Proxy wrote on stderr: "to display
'/private/tmp/com.apple.launchd.gEXXCVRnsG/org.macports:0'.
Info: Forwarding auxiliary X11 connections to display
'/private/tmp/com.apple.launchd.gEXXCVRnsG/org.macports:0'.
Session: Session started at 'Sat Feb  6 19:56:02 2021'.
"
x2go-DEBUG-../src/onmainwindow.cpp:6618> Proxy wrote on stderr: "Session:
Terminating session at 'Sat Feb  6 19:56:05 2021'.
"
x2go-DEBUG-../src/onmainwindow.cpp:6618> Proxy wrote on stderr: "Info:
Waiting the cleanup timeout to complete.
"
x2go-DEBUG-../src/onmainwindow.cpp:6618> Proxy wrote on stderr: "Session:
Session terminated at 'Sat Feb  6 19:56:06 2021'.
"
x2go-DEBUG-../src/sshmasterconnection.cpp:2205> Socket 29 closed.

x2go-DEBUG-../src/sshmasterconnection.cpp:2222> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:2224> Channel closed.
x2go-DEBUG-../src/onmainwindow.cpp:6475> Deleting Proxy.
x2go-DEBUG-../src/onmainwindow.cpp:6520> Waiting for proxy to exit.
x2go-DEBUG-../src/onmainwindow.cpp:6544> Checking exit status.
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via
SshProcess object 7: "x2gocmdexitmessage user-199-1612637732_stDXFCE_dp32"
x2go-DEBUG-../src/sshprocess.cpp:213> this=SshProcess(0x7fcefd506960)
 Running masterCon->addChannelConnection(this, '
"4e32388e-ba0b-425f-bd6c-9391947273b2" ', ' "bash -l -c 'echo
"X2GODATABEGIN:4e32388e-ba0b-425f-bd6c-9391947273b2"; export
PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; x2gocmdexitmessage
user-199-1612637732_stDXFCE_dp32; echo "X2G" ');
x2go-DEBUG-../src/sshmasterconnection.cpp:1810> Locking SSH channel
connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1812> Passing new channel
connection object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1814> Unlocking SSH channel
connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1977> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1990> New channel:0x7fcef7dd67b0

x2go-DEBUG-../src/sshmasterconnection.cpp:2065> Executing remote: "bash -l
-c 'echo "X2GODATABEGIN:4e32388e-ba0b-425f-bd6c-9391947273b2"; export
PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; x2gocmdexitmessage
user-199-1612637732_stDXFCE_dp32; echo
"X2GODATAEND:4e32388e-ba0b-425f-bd6c-9391947273b2";'"

x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via
SshProcess object 8: "x2goresume-session user-199-1612637732_stDXFCE_dp32
800x600 adsl 16m-jpeg-9 us query 0 both no"
x2go-DEBUG-../src/sshprocess.cpp:213> this=SshProcess(0x7fcefd525ca0)
 Running masterCon->addChannelConnection(this, '
"e3d454dc-1610-4bd2-a8d9-2c8a8e3c6060" ', ' "bash -l -c 'echo
"X2GODATABEGIN:e3d454dc-1610-4bd2-a8d9-2c8a8e3c6060"; export
PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; x2goresume-session
user-199-1612637732_stDXFCE_dp32 800x600 ad" ');
x2go-DEBUG-../src/sshmasterconnection.cpp:1810> Locking SSH channel
connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:2082> New exec channel created.

x2go-DEBUG-../src/sshmasterconnection.cpp:1812> Passing new channel
connection object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1814> Unlocking SSH channel
connection MUTEX.
x2go-DEBUG-../src/onmainwindow.cpp:6601> Finished proxy.
x2go-DEBUG-../src/sshmasterconnection.cpp:1977> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1990> New channel:0x7fcef90cd380

x2go-DEBUG-../src/sshmasterconnection.cpp:2065> Executing remote: "bash -l
-c 'echo "X2GODATABEGIN:e3d454dc-1610-4bd2-a8d9-2c8a8e3c6060"; export
PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; x2goresume-session
user-199-1612637732_stDXFCE_dp32 800x600 adsl 16m-jpeg-9 us query 0 both
no; echo "X2GODATAEND:e3d454dc-1610-4bd2-a8d9-2c8a8e3c6060";'"

x2go-DEBUG-../src/sshmasterconnection.cpp:2082> New exec channel created.

x2go-DEBUG-../src/sshmasterconnection.cpp:2165> EOF on channel
0x7fcef7dd67b0; SshProcess object: 7
x2go-DEBUG-../src/sshmasterconnection.cpp:2222> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:2224> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:532> SSH finished: raw output (stdout):
"X2GODATABEGIN:4e32388e-ba0b-425f-bd6c-9391947273b2
X2GODATAEND:4e32388e-ba0b-425f-bd6c-9391947273b2
"
x2go-DEBUG-../src/sshprocess.cpp:543> SSH finished: true - "" (7).
x2go-DEBUG-../src/onmainwindow.cpp:9933> "Command message: "
x2go-DEBUG-../src/sshmasterconnection.cpp:764> SshMasterConnection,
instance SshMasterConnection(0x7fcef7d95ff0)  waiting for thread to finish.
x2go-DEBUG-../src/sshmasterconnection.cpp:1908> Disconnecting ...

x2go-DEBUG-../src/sshmasterconnection.cpp:1917> Deleting channel
connections.

x2go-DEBUG-../src/sshmasterconnection.cpp:2222> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:2224> Channel closed.
x2go-DEBUG-../src/sshmasterconnection.cpp:1923> Disconnecting session.

x2go-DEBUG-../src/sshmasterconnection.cpp:1927> Deleting sockets.

x2go-DEBUG-../src/sshmasterconnection.cpp:1932> All channels closed and
session disconnected. Quitting session loop.

x2go-DEBUG-../src/sshmasterconnection.cpp:766> SshMasterConnection,
instance SshMasterConnection(0x7fcef7d95ff0)  thread finished.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshmasterconnection.cpp:771> SshMasterConnection,
instance SshMasterConnection(0x7fcef7d95ff0)  finished destructor.
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Apr 11 10:00:52 2021; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.